local s = require("luasnip.nodes.snippet").S
local i = require("luasnip.nodes.insertNode").I
local fmt = require("luasnip.extras.fmt").fmt

return {
    s({ trig = 'source',
        name = 'source code block',
        dscr = 'insert a source code block'
    },
        fmt([[
[source,{language}]
--------------------------------------------------------------------------------
{cursor}
--------------------------------------------------------------------------------
]]       , {
            language = i(1, 'shell'),
            cursor = i(0)
        })),

    s({ trig = 'quote',
        name = 'quote block',
        descr = 'insert a quote block'
    },
        fmt([[
[quote,{author},{place}]
________________________________________________________________________________
{cursor}
________________________________________________________________________________
]]       , {
            author = i(1, 'who'),
            place = i(2, 'where'),
            cursor = i(0)
        })),

    s({ trig = 'collapsible',
        name = 'collapsible block',
        descr = 'insert a collapsible block'
    },
        fmt([[
.{title}
[%collapsible]
================================================================================
{cursor}
================================================================================
]]       , {
            title = i(1, 'title'),
            cursor = i(0)
        })),

    s({ trig = 'table',
        name = 'table',
        descr = 'insert a table'
    },
        fmt([[
.{title}
|===============================================================================
| {header1} | {header2}

| {cursor}
|===============================================================================
]]       , {
            title = i(1, 'title'),
            header1 = i(2, 'header 1'),
            header2 = i(3, 'header 2'),
            cursor = i(0)
        })),
}
